explain_symlink_or_die(3)

NAME
explain_symlink_or_die - make a new name for a file and report errors

SYNOPSIS
#include <libexplain/symlink.h>

void explain_symlink_or_die(const char *oldpath, const char *newpath);

DESCRIPTION
The explain_symlink_or_die function is used to call the symlink(2) system call. On failure an explanation will be printed to stderr, obtained from explain_symlink(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_symlink_or_die(oldpath, newpath);

oldpath
    The oldpath, exactly as to be passed to the symlink(2) system call.

newpath
    The newpath, exactly as to be passed to the symlink(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

symlink(2)
    make a new name for a file

explain_symlink(3)
    explain symlink(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller